List Tests
curl --request GET \
--url https://api.docketqa.com/test_blueprint/list \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.docketqa.com/test_blueprint/list"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.docketqa.com/test_blueprint/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"test_blueprints": [
{
"id": 123,
"title": "<string>",
"type": "<string>",
"status": "<string>",
"device_type": "<string>",
"device_name": "<string>",
"starting_url": "<string>",
"starting_prompt": "<string>",
"step_count": 123,
"test_blueprint_category_id": 123,
"test_blueprint_category_name": "<string>",
"last_run": "<string>",
"last_status": "<string>",
"company_id": 123,
"created_by": 123,
"browser_zoom": 123,
"viewport_width": 123,
"viewport_height": 123,
"num_retries": 123,
"reset_browser_on_retry": true,
"typing_speed": 123,
"persist_self_healed": true,
"file_download_mode": "<string>",
"files": [
{}
],
"variables": [
{}
],
"setup_module": 123,
"teardown_module": 123,
"folder_path": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"used_by_integration_count": 123
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
},
"subfolders": [
"<string>"
]
}Tests
List Tests
GET
/
test_blueprint
/
list
List Tests
Retrieve all test blueprints in your account with their last run information.
Query parameters
string
Filter by blueprint type. Must be one of:
"integration", "module", "step_module".string
Filter by test suite ID. Pass
"none" to get tests with no suite.string
Filter by folder path. Defaults to
"/" (root folder).boolean
If
true, return tests from all folders. Defaults to false.string
Search tests by title (case-insensitive partial match).
boolean
If
true, include used_by_integration_count for module-type blueprints. Defaults to false.integer
Page number for pagination (1-indexed). Use with
per_page.integer
Number of results per page. Enables pagination when set.
integer
Offset for pagination. Use with
limit as an alternative to page/per_page.integer
Maximum number of results. Use with
offset.Response
object[]
An array of test blueprint objects.
Show Test blueprint properties
Show Test blueprint properties
integer
The unique ID of the test blueprint.
string
The test name.
string
The blueprint type (
"integration", "module", or "step_module").string
The test status:
"active" or "paused".string
The device type (
"browser", "android", or "ios").string
The device name, if set.
string
The starting URL for the test.
string
The high-level description, if set.
integer
The number of steps in the test.
integer
The test suite this test belongs to.
string
The name of the test suite.
string
ISO 8601 timestamp of the most recent run, or
null.string
The result of the most recent run (
"passed", "failed", "running"), or null.integer
Your company ID.
integer
The ID of the user who created the test.
number
The browser zoom level.
integer
Browser viewport width in pixels.
integer
Browser viewport height in pixels.
integer
Number of automatic retries on failure.
boolean
Whether the browser resets on retry.
integer
Typing speed in milliseconds per character, or
null for default.boolean
Whether self-healed caches are persisted.
string
The file download handling mode (
"save_only" or "ingest_content").object[]
Files attached to this test.
object[]
Variables defined for this test.
integer
The setup module ID, if set.
integer
The teardown module ID, if set.
string
The folder path of the test.
string
ISO 8601 timestamp of when the test was created.
string
ISO 8601 timestamp of the last update.
integer
Number of integration tests using this module. Only present when
include_usage_count=true and type is module.object
string[]
List of subfolder paths within the current folder. Not included when using
search or include_all_folders.Example response
{
"test_blueprints": [
{
"id": 446,
"title": "Randomized Campaign Creation",
"type": "integration",
"status": "active",
"device_type": "browser",
"device_name": null,
"starting_url": "https://app.example.com/",
"starting_prompt": null,
"step_count": 38,
"test_blueprint_category_id": 26,
"test_blueprint_category_name": "Campaigns",
"last_run": "2025-10-10T21:05:19.847072+00:00",
"last_status": "failed",
"company_id": 3,
"created_by": 5,
"browser_zoom": 1.0,
"viewport_width": 1440,
"viewport_height": 900,
"num_retries": 0,
"reset_browser_on_retry": true,
"typing_speed": null,
"persist_self_healed": true,
"file_download_mode": "save_only",
"files": [],
"variables": [],
"setup_module": null,
"teardown_module": null,
"folder_path": "/",
"created_at": "2025-10-07T00:53:44.522824+00:00",
"updated_at": "2025-10-07T00:54:00.587872+00:00"
}
],
"subfolders": ["/E2E Tests", "/Smoke Tests"]
}
⌘I

